> ## Documentation Index
> Fetch the complete documentation index at: https://docs.glialhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Replay Event Endpoint



## OpenAPI

````yaml post /v1/events/{event_id}/replay
openapi: 3.1.0
info:
  description: Async-first document extraction API.
  title: Folio API
  version: 1.0.0
servers:
  - description: Production (forthcoming)
    url: https://api.glialhealth.com
security: []
paths:
  /v1/events/{event_id}/replay:
    post:
      tags:
        - events
      summary: Replay Event Endpoint
      operationId: replay_event_endpoint_v1_events__event_id__replay_post
      parameters:
        - in: path
          name: event_id
          required: true
          schema:
            title: Event Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - bearerAuth: []
components:
  schemas:
    EventResponse:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        deliveries:
          items:
            $ref: '#/components/schemas/WebhookDeliverySummary'
          title: Deliveries
          type: array
        document_id:
          title: Document Id
          type: string
        id:
          title: Id
          type: string
        object:
          default: event
          title: Object
          type: string
        payload:
          additionalProperties: true
          title: Payload
          type: object
        type:
          $ref: '#/components/schemas/EventType'
      required:
        - id
        - type
        - document_id
        - payload
        - created_at
        - deliveries
      title: EventResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    WebhookDeliverySummary:
      properties:
        attempts:
          title: Attempts
          type: integer
        delivered_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Delivered At
        endpoint_id:
          title: Endpoint Id
          type: string
        id:
          title: Id
          type: string
        last_status_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Status Code
        next_attempt_at:
          format: date-time
          title: Next Attempt At
          type: string
        status:
          $ref: '#/components/schemas/DeliveryStatus'
      required:
        - id
        - endpoint_id
        - status
        - attempts
        - last_status_code
        - next_attempt_at
        - delivered_at
      title: WebhookDeliverySummary
      type: object
    EventType:
      enum:
        - document.completed
        - document.partially_completed
        - document.failed
      title: EventType
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    DeliveryStatus:
      enum:
        - pending
        - succeeded
        - failed
        - dead
      title: DeliveryStatus
      type: string
  securitySchemes:
    bearerAuth:
      description: 'Your Folio API key, sent as `Authorization: Bearer <api_key>`.'
      scheme: bearer
      type: http

````